<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Server](./bitburner.server.md) &gt; [cpuCores](./bitburner.server.cpucores.md)

## Server.cpuCores property

How many CPU cores this server has. Affects magnitude of grow and weaken ran from this server.

**Signature:**

```typescript
cpuCores: number;
```
